CFPRIME TIGEDA                                                          TIGEDA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE TIGEDA(IUX,NLF,KN,N)                                   TIGEDA      3
CD                                                                      TIGEDA      4
CD    TO TABULATE GENERATOR AND ITS CONTROL DEVICE DATA.                TIGEDA      5
CD                                                                      TIGEDA      6
      INCLUDE 'PARX.INS'                                                TIGEDA      7
      INCLUDE 'CNSTN.INS'                                               TIGEDA      8
      INCLUDE 'CNMDAT.INS'                                              TIGEDA      9
      INCLUDE 'CNIPTR.INS'                                              TIGEDA     10
      INCLUDE 'CNPT.INS'                                                TIGEDA     11
      INCLUDE 'CNB1.INS'                                                TIGEDA     12
      INCLUDE 'CNB3.INS'                                                TIGEDA     13
      INCLUDE 'CNB8.INS'                                                TIGEDA     14
      INCLUDE 'CNQSTA.INS'                                              TIGEDA     15
      INCLUDE 'EQQSTA.INS'                                              TIGEDA     16
      INCLUDE 'CNB19.INS'                                               TIGEDA     17
      INCLUDE 'CNPARX.INS'                                              TIGEDA     18
      INCLUDE 'CNFLAG.INS'                                              TIGEDA     19
C                                                                       TIGEDA     20
      DIMENSION XDUMMY(16)                                              TIGEDA     21
      CHARACTER*4 CKID                                                  TIGEDA     22
C                                                                       TIGEDA     23
      LDEB=(JDEB(28).NE.0)                                              TIGEDA     24
C                                                                       TIGEDA     25
C     ADD CODE TO READIN THE GENERATOR BUS AND ID                       TIGEDA     26
C     MATCH THE GENERATOR THEN PRINT THE DATA                           TIGEDA     27
C                                                                       TIGEDA     28
      IEXN=ICONTA(4,N)                                                  TIGEDA     29
      MASSN=ICONTA(8,N)                                                 TIGEDA     30
      IGENS=ICONTA(1,N)                                                 TIGEDA     31
      IUALN=ICONTA(7,N)                                                 TIGEDA     32
      ISTABN=ICONTA(5,N)                                                TIGEDA     33
      ITEBN=ICONTA(11,N)                                                TIGEDA     34
      IMXLN=ICONTA(12,N)                                                TIGEDA     35
      IFLTRN=ICONTA(6,N)                                                TIGEDA     36
      IUALN=ICONTA(7,N)                                                 TIGEDA     37
      ICBRN=ICONTA(9,N)                                                 TIGEDA     38
      IGVN=ICONTA(2,N)                                                  TIGEDA     39
      IF(IGVN.EQ.46) IGVN=0                                             TIGEDA     40
      JG=JCONTA(1,N)                                                    TIGEDA     41
      CKID='    '                                                       TIGEDA     42
      CKID(1:2)=NDGC(N)(3:4)                                            TIGEDA     43
      WXBASE=DDAT(JG+5)                                                 TIGEDA     44
      FBGN=WXBASE*0.25*PI                                               TIGEDA     45
C                                                                       TIGEDA     46
      IF (IDDAT(JG+3).EQ.0.OR.IDDAT(JG+4).EQ.0) THEN                    TIGEDA     47
         BMVA=BASPC                                                     TIGEDA     48
         BVR=1.0                                                        TIGEDA     49
      ELSE                                                              TIGEDA     50
         BMVA=DDAT(JG+3)                                                TIGEDA     51
         BVR=DDAT(JG+4)                                                 TIGEDA     52
      END IF                                                            TIGEDA     53
      IF (IGENS.EQ.0.OR.IGENS.EQ.4.OR.IGENS.EQ.8.OR.IGENS.EQ.12) THEN   TIGEDA     54
         RAN=DDAT(JG+9)                                                 TIGEDA     55
         XL=DDAT(JG+8)                                                  TIGEDA     56
         XD=DDAT(JG+6)+XL                                               TIGEDA     57
         XQ=DDAT(JG+7)+XL                                               TIGEDA     58
         XAFA=(DDAT(JG+6)*DDAT(JG+10))/(DDAT(JG+6)+DDAT(JG+10))         TIGEDA     59
         XPDD=DDAT(JG+8)+XAFA                                           TIGEDA     60
         XPPDD=DDAT(JG+8)+(XAFA*DDAT(JG+14))/(XAFA+DDAT(JG+14))         TIGEDA     61
         XAFQ=(DDAT(JG+7)*DDAT(JG+12))/(DDAT(JG+7)+DDAT(JG+12))         TIGEDA     62
         XPQQ=DDAT(JG+8)+XAFQ                                           TIGEDA     63
         XPPQQ=DDAT(JG+8)+(XAFQ*DDAT(JG+16))/(XAFQ+DDAT(JG+16))         TIGEDA     64
         TDPO=((DDAT(JG+10)+DDAT(JG+6))/DDAT(JG+11))/WXBASE             TIGEDA     65
         TDPPX=DDAT(JG+14)+(DDAT(JG+10)*DDAT(JG+6))/(DDAT(JG+10)+       TIGEDA     66
     *         DDAT(JG+6))                                              TIGEDA     67
         TDPPO=0.0                                                      TIGEDA     68
         IF (IDDAT(JG+15).NE.0) TDPPO=TDPPX/(DDAT(JG+15)*WXBASE)        TIGEDA     69
         TQPO=0.0                                                       TIGEDA     70
         IF (IDDAT(JG+13).NE.0)                                         TIGEDA     71
     *      TQPO=(DDAT(JG+12)+DDAT(JG+7))/DDAT(JG+13)/WXBASE            TIGEDA     72
         TQPPO=0.0                                                      TIGEDA     73
         IF (IDDAT(JG+17).NE.0) TQPPO=(DDAT(JG+16)+XAFQ)/DDAT(JG+17)    TIGEDA     74
         TQPPO=TQPPO/WXBASE                                             TIGEDA     75
         WRITE(IUX,2010) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TIGEDA     76
     *                  ,BMVA,FBGN,RAN,XD,XQ,XL,XPDD,XPQQ,XPPDD         TIGEDA     77
     *                  ,XPPQQ,TDPO,TQPO,TDPPO,TQPPO                    TIGEDA     78
C                                                                       TIGEDA     79
      ELSE IF (IGENS.EQ.1 .OR.IGENS.EQ.2 .OR.IGENS.EQ.5 .OR.            TIGEDA     80
     *         IGENS.EQ.6 .OR.IGENS.EQ.9 .OR.IGENS.EQ.10.OR.            TIGEDA     81
     *         IGENS.EQ.13.OR.IGENS.EQ.14) THEN                         TIGEDA     82
         WRITE(IUX,2020) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TIGEDA     83
     *                  ,BMVA,FBGN                                      TIGEDA     84
         DO 100 LK=1,16                                                 TIGEDA     85
            XDUMMY(LK)=DDAT(JG+LK+5)                                    TIGEDA     86
            IF(XDUMMY(LK).GT.99.9) XDUMMY(LK)=0.0                       TIGEDA     87
 100     CONTINUE                                                       TIGEDA     88
         WRITE(IUX,2070) (XDUMMY(LK),LK=1,16)                           TIGEDA     89
         IF (IGENS.EQ.2.OR.IGENS.EQ.6.OR.IGENS.EQ.10.OR.IGENS.EQ.14)    TIGEDA     90
     *      WRITE(IUX,2080) DDAT(JG+24),DDAT(JG+25)                     TIGEDA     91
C                                                                       TIGEDA     92
      ELSE                                                              TIGEDA     93
C                                                                       TIGEDA     94
C  PRINT CLASSICAL MACHINE                                              TIGEDA     95
C                                                                       TIGEDA     96
         DAMPX=DDAT(JG+2)                                               TIGEDA     97
         HMX=DDAT(JG+1)                                                 TIGEDA     98
         IF (IDDAT(JG+3).EQ.0.OR.IDDAT(JG+4).EQ.0) THEN                 TIGEDA     99
            BMVA=1.0                                                    TIGEDA    100
            BVR=1.0                                                     TIGEDA    101
         ELSE                                                           TIGEDA    102
            BMVA=DDAT(JG+3)/BASPC                                       TIGEDA    103
            BVR=DDAT(JG+4)                                              TIGEDA    104
         END IF                                                         TIGEDA    105
         XPDN=1.0/XPD(N)                                                TIGEDA    106
C                                                                       TIGEDA    107
C   CONVERT HMX AND XPDN TO MACHINE RATING BASE                         TIGEDA    108
C                                                                       TIGEDA    109
         DAMPX=DAMPX/BMVA                                               TIGEDA    110
         HMX=HMX/BMVA                                                   TIGEDA    111
         XPDN=XPDN*BMVA/BVR*BVR                                         TIGEDA    112
         GMWX=PDGT(1,N)*BASPC                                           TIGEDA    113
         GMXX=PDGT(2,N)*BASPC                                           TIGEDA    114
C                                                                       TIGEDA    115
C   PRIME MECHANICAL CONSTANTS                                          TIGEDA    116
C                                                                       TIGEDA    117
         WRITE(IUX,810) HMX,DAMPX,DDAT(JG+31)                           TIGEDA    118
C                                                                       TIGEDA    119
         GMWX=PDGT(1,N)*BASPC                                           TIGEDA    120
         GMXX=PDGT(2,N)*BASPC                                           TIGEDA    121
         IPGX=IPFG(N)                                                   TIGEDA    122
         IQGX=IQFG(N)                                                   TIGEDA    123
         IF (NGSREC.EQ.0) THEN                                          TIGEDA    124
            WRITE(IUX,2053) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TIGEDA    125
     *                     ,BMVA,FBGN,HMX,DAMPX,XPDN,IPGX,GMWX,IQGX     TIGEDA    126
     *                     ,GMXX,EMGT(N)                                TIGEDA    127
         ELSE                                                           TIGEDA    128
            WRITE(IUX,2054) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TIGEDA    129
     *                     ,BMVA,FBGN,HMX,DAMPX,XPDN,GMWX,GMXX          TIGEDA    130
     *                     ,EMGT(N)                                     TIGEDA    131
         END IF                                                         TIGEDA    132
C                                                                       TIGEDA    133
C     TO PRINT PRIME MOVER DATA                                         TIGEDA    134
C                                                                       TIGEDA    135
         GOTO 500                                                       TIGEDA    136
      END IF                                                            TIGEDA    137
C                                                                       TIGEDA    138
C    SATURATION PARAMETERS                                              TIGEDA    139
C                                                                       TIGEDA    140
      ISATX=ICONTA(3,N)                                                 TIGEDA    141
      IF(ISATX.NE.0)THEN                                                TIGEDA    142
         WRITE(IUX,790) ISATX,(DDAT(JG+LK),LK=26,30)                    TIGEDA    143
         IF(ISATX.EQ.3) WRITE(IUX,800) (DDAT(JG+LK),LK=45,49)           TIGEDA    144
      ENDIF                                                             TIGEDA    145
C                                                                       TIGEDA    146
      CGGN=1.0                                                          TIGEDA    147
      CSGN=1.0                                                          TIGEDA    148
      IF (MASSN.NE.0)THEN                                               TIGEDA    149
      WRITE(IUX,820)                                                    TIGEDA    150
      JM=JCONTA(7,N)                                                    TIGEDA    151
      CSGN=DDAT(JM+6)                                                   TIGEDA    152
      CGGN=DDAT(JM+7)                                                   TIGEDA    153
      KM=1                                                              TIGEDA    154
      DO 110 LI=1,MASSN                                                 TIGEDA    155
       KM=KM+6                                                          TIGEDA    156
       WRITE(IUX,830) LI,(DDAT(JM+KM+LK),LK=1,6)                        TIGEDA    157
 110  CONTINUE                                                          TIGEDA    158
C                                                                       TIGEDA    159
C   ENDIF MASSN.NE.0                                                    TIGEDA    160
C                                                                       TIGEDA    161
      ENDIF                                                             TIGEDA    162
C                                                                       TIGEDA    163
C   PRIME MECHANICAL CONSTANTS                                          TIGEDA    164
C                                                                       TIGEDA    165
      HMX=DDAT(JG+1)                                                    TIGEDA    166
      DAMPX=DDAT(JG+2)                                                  TIGEDA    167
      WRITE(IUX,810) HMX,DAMPX,DDAT(JG+31),CSGN,CGGN                    TIGEDA    168
C                                                                       TIGEDA    169
      GMWX=PDGT(1,N)*BASPC                                              TIGEDA    170
      GMXX=PDGT(2,N)*BASPC                                              TIGEDA    171
      IPGX=IPFG(N)                                                      TIGEDA    172
      IQGX=IQFG(N)                                                      TIGEDA    173
      IF(NGSREC.EQ.0)THEN                                               TIGEDA    174
      WRITE(IUX,2050) IPGX,GMWX,IQGX,GMXX,BVR                           TIGEDA    175
      ELSE                                                              TIGEDA    176
      WRITE(IUX,2051) GMWX,GMXX,BVR                                     TIGEDA    177
      ENDIF                                                             TIGEDA    178
C                                                                       TIGEDA    179
C   PRINT CROWBAR                                                       TIGEDA    180
C                                                                       TIGEDA    181
      IF(ICBRN.GT.1)THEN                                                TIGEDA    182
         JE=JCONTA(8,N)                                                 TIGEDA    183
         IF(ICBRN.EQ.2)THEN                                             TIGEDA    184
            WRITE(IUX,5000) ICBRN,(DDAT(JE+L),L=1,2)                    TIGEDA    185
         ELSEIF(ICBRN.EQ.3)THEN                                         TIGEDA    186
            WRITE(IUX,5000) ICBRN,(DDAT(JE+L),L=1,4)                    TIGEDA    187
         ENDIF                                                          TIGEDA    188
      ENDIF                                                             TIGEDA    189
C                                                                       TIGEDA    190
C   PRINT EXCITER                                                       TIGEDA    191
C                                                                       TIGEDA    192
      IF(IEXN.NE.0)THEN                                                 TIGEDA    193
         JE=JCONTA(3,N)                                                 TIGEDA    194
         IF(IEXN.EQ.50)THEN                                             TIGEDA    195
            WRITE(IUX,1830)                                             TIGEDA    196
            WRITE(IUX,1840)DDAT(JE+1),DDAT(JE+2),IDDAT(JE+3)            TIGEDA    197
            JE1=JE+9                                                    TIGEDA    198
            CALL TUDMDA(1,IUX,IL,JE1)                                   TIGEDA    199
         ELSE                                                           TIGEDA    200
            IVTN=IDDAT(JE+1)                                            TIGEDA    201
            IF(IVTN.EQ.0) IVTN=KN/3                                     TIGEDA    202
            NVTN=NOLD(IVTN)                                             TIGEDA    203
            IV3=IVTN*3                                                  TIGEDA    204
            IF(IEXN.EQ.1)THEN                                           TIGEDA    205
               WRITE(IUX,911) IEXN,'  (WSCC TYPE FA OR FB, IEEE TYPE'// TIGEDA    206
     *            ' DC1A OR DC2A)',NVTN,INAME(IV3-2),INAME(IV3-1)       TIGEDA    207
     *            ,INAME(IV3),ICONTA(14,N)                              TIGEDA    208
            ELSEIF(IEXN.EQ.2)THEN                                       TIGEDA    209
               WRITE(IUX,910) IEXN,'  (WSCC TYPE FA OR FB, IEEE TYPE'// TIGEDA    210
     *            ' DC1A OR DC2A)',NVTN,INAME(IV3-2),INAME(IV3-1)       TIGEDA    211
     *            ,INAME(IV3)                                           TIGEDA    212
            ELSEIF(IEXN.EQ.4)THEN                                       TIGEDA    213
               WRITE(IUX,911) IEXN,'  (WSCC TYPE FH, IEEE TYPE AC3A)'   TIGEDA    214
     *            ,NVTN,INAME(IV3-2),INAME(IV3-1),INAME(IV3)            TIGEDA    215
     *            ,ICONTA(14,N)                                         TIGEDA    216
            ELSEIF(IEXN.EQ.5)THEN                                       TIGEDA    217
               WRITE(IUX,912) IEXN,'  (WSCC TYPE FC, IEEE TYPE AC1A)'   TIGEDA    218
     *            ,NVTN,INAME(IV3-2),INAME(IV3-1),INAME(IV3)            TIGEDA    219
     *            ,ICONTA(14,N),ICONTA(15,N)                            TIGEDA    220
            ELSEIF(IEXN.EQ.6)THEN                                       TIGEDA    221
               WRITE(IUX,912) IEXN,'  (WSCC TYPE FF, IEEE TYPE AC2A)'   TIGEDA    222
     *            ,NVTN,INAME(IV3-2),INAME(IV3-1),INAME(IV3)            TIGEDA    223
     *            ,ICONTA(14,N),ICONTA(15,N)                            TIGEDA    224
            ELSEIF(IEXN.EQ.7)THEN                                       TIGEDA    225
               WRITE(IUX,911) IEXN,'  (WSCC TYPE FD, IEEE TYPE ST2A)'   TIGEDA    226
     *            ,NVTN,INAME(IV3-2),INAME(IV3-1),INAME(IV3)            TIGEDA    227
     *            ,ICONTA(14,N)                                         TIGEDA    228
            ELSEIF(IEXN.EQ.8)THEN                                       TIGEDA    229
               WRITE(IUX,911) IEXN,'  (WSCC TYPE FL, IEEE TYPE ST3A)'   TIGEDA    230
     *            ,NVTN,INAME(IV3-2),INAME(IV3-1),INAME(IV3)            TIGEDA    231
     *            ,ICONTA(14,N)                                         TIGEDA    232
            ELSEIF(IEXN.EQ.9)THEN                                       TIGEDA    233
               WRITE(IUX,910) IEXN,'  (WSCC TYPE FE, IEEE TYPE DC3A)'   TIGEDA    234
     *            ,NVTN,INAME(IV3-2),INAME(IV3-1),INAME(IV3)            TIGEDA    235
            ELSEIF(IEXN.EQ.30)THEN                                      TIGEDA    236
               WRITE(IUX,911) IEXN,'  (WSCC TYPE FG, FJ OR FK, IEEE'//  TIGEDA    237
     *            ' TYPE AC4A OR ST1A)',NVTN,INAME(IV3-2),INAME(IV3-1)  TIGEDA    238
     *            ,INAME(IV3),ICONTA(14,N)                              TIGEDA    239
            ELSEIF(IEXN.EQ.34)THEN                                      TIGEDA    240
               WRITE(IUX,913) IEXN,NVTN,INAME(IV3-2),INAME(IV3-1)       TIGEDA    241
     *            ,INAME(IV3),ICONTA(14,N),ICONTA(15,N),ICONTA(16,N)    TIGEDA    242
            ELSE                                                        TIGEDA    243
               WRITE(IUX,910) IEXN,' ',NVTN,INAME(IV3-2),INAME(IV3-1)   TIGEDA    244
     *            ,INAME(IV3)                                           TIGEDA    245
            ENDIF                                                       TIGEDA    246
            CALL PEXCDA(IUX,IEXN,JE,IEBK)                               TIGEDA    247
         ENDIF                                                          TIGEDA    248
C                                                                       TIGEDA    249
C   PRINT STABILIZER                                                    TIGEDA    250
C                                                                       TIGEDA    251
      JS=JCONTA(4,N)                                                    TIGEDA    252
      IF(ISTABN.EQ.50)THEN                                              TIGEDA    253
          WRITE(IUX,1880) IUALN                                         TIGEDA    254
          JE0=JS                                                        TIGEDA    255
          WRITE(IUX,1840) DDAT(JE0+1),DDAT(JE0+2),IDDAT(JE0+3)          TIGEDA    256
          JS1=JS+9                                                      TIGEDA    257
          CALL TUDMDA(2,IUX,IL,JS1)                                     TIGEDA    258
      ELSEIF(ISTABN.GT.0)THEN                                           TIGEDA    259
         IF(ISTABN.NE.7) THEN                                           TIGEDA    260
            KSNO1=IDDAT(JS+1)                                           TIGEDA    261
            ITYP1=IDDAT(JS+2)                                           TIGEDA    262
            IF(KSNO1.EQ.0) KSNO1=KN/3                                   TIGEDA    263
            NSNO1=NOLD(KSNO1)                                           TIGEDA    264
            N13=KSNO1*3                                                 TIGEDA    265
            IF(ISTABN.EQ.9)THEN                                         TIGEDA    266
               WRITE(IUX,4811) ISTABN,ITYP1,NSNO1,INAME(N13-2)          TIGEDA    267
     &            ,INAME(N13-1),INAME(N13),IDDAT(JS+5),IDDAT(JS+6)      TIGEDA    268
            ELSEIF(ISTABN.EQ.10)THEN                                    TIGEDA    269
               WRITE(IUX,4810) ISTABN,' (WSCC TYPE SS, SP OR SF)',ITYP1 TIGEDA    270
     *            ,NSNO1,INAME(N13-2),INAME(N13-1),INAME(N13)           TIGEDA    271
            ELSE                                                        TIGEDA    272
               WRITE(IUX,4810) ISTABN,' ',ITYP1,NSNO1,INAME(N13-2)      TIGEDA    273
     &            ,INAME(N13-1),INAME(N13)                              TIGEDA    274
            ENDIF                                                       TIGEDA    275
            IF(ISTABN.EQ.12)THEN                                        TIGEDA    276
               KSNO2=IDDAT(JS+3)                                        TIGEDA    277
               ITYP2=IDDAT(JS+4)                                        TIGEDA    278
               IF(KSNO2.EQ.0)KSNO2=KN/3                                 TIGEDA    279
               NSNO2=NOLD(KSNO2)                                        TIGEDA    280
               N13=KSNO2*3                                              TIGEDA    281
               WRITE(IUX,4820) ITYP2,NSNO2,INAME(N13-2),INAME(N13-1),   TIGEDA    282
     +         INAME(N13)                                               TIGEDA    283
            ENDIF                                                       TIGEDA    284
         ENDIF                                                          TIGEDA    285
         CALL PSTBDA(IUX,ISTABN,NLF,KN,JS,IEBK)                         TIGEDA    286
         IFLTRN=ICONTA(6,N)                                             TIGEDA    287
         IF(IFLTRN.NE.0)THEN                                            TIGEDA    288
            JF=JCONTA(5,N)                                              TIGEDA    289
            WRITE(IUX,1270)(DDAT(JF+LI),LI=1,10)                        TIGEDA    290
         ENDIF                                                          TIGEDA    291
      ENDIF                                                             TIGEDA    292
C                                                                       TIGEDA    293
C   PRINT UNDER EXCITED CURRENT LIMITER                                 TIGEDA    294
C                                                                       TIGEDA    295
      IF(IUALN.NE.0)THEN                                                TIGEDA    296
          JU=JCONTA(6,N)                                                TIGEDA    297
          IF(IUALN.EQ.50) THEN                                          TIGEDA    298
             IF(ISTABN.NE.50) THEN                                      TIGEDA    299
                WRITE(IUX,1920) IUALN                                   TIGEDA    300
                WRITE(IUX,1840) DDAT(JU+1),DDAT(JU+2),IDDAT(JU+3)       TIGEDA    301
                JU1=JU+9                                                TIGEDA    302
                CALL TUDMDA(3,IUX,IL,JU1)                               TIGEDA    303
             ENDIF                                                      TIGEDA    304
             GOTO 120                                                   TIGEDA    305
         ENDIF                                                          TIGEDA    306
         CALL PUALDA(IUX,IUALN,JU,IEBK)                                 TIGEDA    307
      ENDIF                                                             TIGEDA    308
  120 CONTINUE                                                          TIGEDA    309
C                                                                       TIGEDA    310
C   PRINT MAX EXCITER CURRENT LIMITER                                   TIGEDA    311
C                                                                       TIGEDA    312
         IF(IMXLN.NE.0) THEN                                            TIGEDA    313
            JMX=JCONTA(11,N)                                            TIGEDA    314
            IF(IMXLN.EQ.50) THEN                                        TIGEDA    315
               WRITE(IUX,1921)                                          TIGEDA    316
               WRITE(IUX,1840) DDAT(JMX+1),DDAT(JMX+2),IDDAT(JMX+3)     TIGEDA    317
               JMX1=JMX+9                                               TIGEDA    318
               CALL TUDMDA(3,IUX,IL,JMX1)                               TIGEDA    319
            ELSE                                                        TIGEDA    320
               MXLTYP=IMXLN                                             TIGEDA    321
               IF(IMXLN.GT.10) MXLTYP=IMXLN-10                          TIGEDA    322
               IF(MXLTYP.EQ.1)THEN                                      TIGEDA    323
                  WRITE(IUX,1010) IMXLN                                 TIGEDA    324
                  WRITE(IUX,1020) (DDAT(JMX+I),I=1,9)                   TIGEDA    325
               ENDIF                                                    TIGEDA    326
            ENDIF                                                       TIGEDA    327
         ENDIF                                                          TIGEDA    328
C                                                                       TIGEDA    329
C   PRINT TRANSIENT EXCITATION BOOSTER                                  TIGEDA    330
C                                                                       TIGEDA    331
         IF(ITEBN.NE.0) THEN                                            TIGEDA    332
            JTB=JCONTA(10,N)                                            TIGEDA    333
            IF(IDDAT(JTB+5).EQ.0) DDAT(JTB+5)=1.10                      TIGEDA    334
            WRITE(IUX,1030) ITEBN                                       TIGEDA    335
            WRITE(IUX,1040) (DDAT(JTB+LK),LK=2,5)                       TIGEDA    336
         ENDIF                                                          TIGEDA    337
      ENDIF                                                             TIGEDA    338
C                                                                       TIGEDA    339
C   PRINT PRIME MOVER CONTROL DATA                                      TIGEDA    340
C                                                                       TIGEDA    341
C                                                                       TIGEDA    342
 500  IF(IGVN.NE.0)THEN                                                 TIGEDA    343
         IGSTAB=ICONTA(10,N)                                            TIGEDA    344
         JGG=JCONTA(2,N)                                                TIGEDA    345
         JGS=JCONTA(9,N)                                                TIGEDA    346
         IF(IGVN.EQ.50)THEN                                             TIGEDA    347
            WRITE(IUX,1860)                                             TIGEDA    348
            JGG1=JGG+3                                                  TIGEDA    349
            CALL TUDMDA(4,IUX,IL,JGG1)                                  TIGEDA    350
         ELSE                                                           TIGEDA    351
            CALL PGVDA(IUX,IGVN,IGSTAB,JGG,JGS,N,IEBK)                  TIGEDA    352
         ENDIF                                                          TIGEDA    353
      ENDIF                                                             TIGEDA    354
C                                                                       TIGEDA    355
         RETURN                                                         TIGEDA    356
C                                                                       TIGEDA    357
  790 FORMAT(//,1X,'SATURATION PARAMETERS :',//,1X,' TYPE ='            TIGEDA    358
     *,I2,/2X,'ASAT =',F6.3,4X,'BSAT =',F6.3,3X,' PSIL =',F6.3,4X       TIGEDA    359
     *,'PSIM =',F6.3,4X,'RS =',F6.3)                                    TIGEDA    360
  800 FORMAT(1X,'ASATQ =',F6.3,3X,'BSATQ =',F6.3,3X,'PSILQ ='           TIGEDA    361
     *,F6.3,3X,'PSIMQ =',F6.3,4X,'RSQ=',F6.3)                           TIGEDA    362
  810 FORMAT (/,1X,'MECHANICAL PARAMETERS :',//,1X,'   HM =',F8.3,4X,'KDTIGEDA    363
     + =',E9.3,1X,'CMTL =',F8.2,3X,'CSG =',F6.3,5X,'CGG =',F6.3)        TIGEDA    364
  820 FORMAT (/,1X,'MULTI-MASS SYSTEM PARAMETERS :',//3X,'NTH',7X,'MM',8TIGEDA    365
     +X,'MDAMP',8X,'KS',8X,'KDAMP',7X,'CS',7X,'CG',/,2X,'----',4X,'-----TIGEDA    366
     +',4X,'---------',4X,'------',4X,'---------',2(4X,'-----'))        TIGEDA    367
  830 FORMAT (1X,I5,F9.3,E13.5,F10.3,E13.5,2F9.2)                       TIGEDA    368
  910 FORMAT(//,' EXCITATION SYSTEM CONTROL DATA :',/,1X,32('-'),//     TIGEDA    369
     *,' EXCITER TYPE =',I3,A,/,'    REMOTE SENSING BUS NO :',I6        TIGEDA    370
     *,' AND NAME : ',3A4)                                              TIGEDA    371
  911 FORMAT(//,' EXCITATION SYSTEM CONTROL DATA :',/,1X,32('-'),//     TIGEDA    372
     *,' EXCITER TYPE =',I3,A,/,' REMOTE SENSING BUS NO :',I6           TIGEDA    373
     *,' AND NAME : ',3A4,'  LVUEL =',I5)                               TIGEDA    374
  912 FORMAT(//,' EXCITATION SYSTEM CONTROL DATA :',/,1X,32('-'),//     TIGEDA    375
     *,' EXCITER TYPE =',I3,A,/,'    REMOTE SENSING BUS NO :',I6        TIGEDA    376
     *,' AND NAME : ',3A4,'  LVUEL =',I5,'  LVOEL =',I5)                TIGEDA    377
  913 FORMAT(//,' EXCITATION SYSTEM CONTROL DATA :',/,1X,32('-'),//     TIGEDA    378
     *,' EXCITER TYPE =',I3,'    REMOTE SENSING BUS NO :',I6            TIGEDA    379
     *,' AND NAME : ',3A4,'  LVUEL =',I5,'  LVOEL =',I5,'  LVS =',I5)   TIGEDA    380
 1010 FORMAT(/,' OVER FIELD CURRENT LIMITER DATA : TYPE',I3)            TIGEDA    381
 1020 FORMAT(1X,'    K =',F7.3,2X,'   TA =',F7.3,'     TB =',F7.3,      TIGEDA    382
     +'      U =',F7.3,' IFLMAX =',F7.3,' IFLMIN =',F7.3,               TIGEDA    383
     +'     T1 =',F7.3,'     T2 =',F7.3,/,1X,'  RATE =',F7.3)           TIGEDA    384
 1030 FORMAT(/,' TRANSIENT EXCITATION BOOSTER DATA : TYPE',I5)          TIGEDA    385
 1040 FORMAT(1X,'    K =',F7.3,'     T1 =',F7.3,'     T2 =',F7.3,       TIGEDA    386
     +'   VTHR =',F7.3)                                                 TIGEDA    387
 1270 FORMAT ('0   FILTER  DATA:',/,4X,'T6 =',F7.3,5X,'A5 =',F7.3       TIGEDA    388
     +,'   A3 =',F7.3,'   A6 =',F7.3,'   A4 =',F7.3,'   A1 =',F7.3      TIGEDA    389
     *,'   A2 =',F7.3,'   A0 =',F7.3,/,'  VSMAX =',F7.3,'  VSMIN ='     TIGEDA    390
     *,F7.2)                                                            TIGEDA    391
 1830 FORMAT(/,'  EXCITER TYPE 50',/,'  ---------------',/)             TIGEDA    392
 1840 FORMAT(4X,'RC=',F7.3,'     XC=',F7.3,'   IDIV= ',I5)              TIGEDA    393
 1860 FORMAT(/,1X,' USER DEFINED GOVERNOR MODEL',/                      TIGEDA    394
     *,'  ---------------------------',/)                               TIGEDA    395
 1880 FORMAT(/,1X,' USER DEFINED STABILIZER MODEL/ UEL TYPE ',I2,/      TIGEDA    396
     *,'  -------------------------------------------',/)               TIGEDA    397
 1920 FORMAT(/,1X,' UNDER EXCITATION LIMITER TYPE ',I2,/,               TIGEDA    398
     &'  --------------------------------',/)                           TIGEDA    399
 1921 FORMAT(/,1X,' USER DEFINED OVER EXCITATION LIMITER MODEL',/       TIGEDA    400
     *,'  -------------------------------------------',/)               TIGEDA    401
 2010 FORMAT('1BUS#',I5,1X,'STATION:',1X,3A4,1X,'GID',A4                TIGEDA    402
     &,/,1X,38('-'),//,28X,'GENERATOR DATA ON',F9.2,' MVA '             TIGEDA    403
     &,F9.2,' HZ BASE',/,28X,48('-'),                                   TIGEDA    404
     &//,' ELECTRICAL PARAMETERS IN IMPEDANCE AND TIME CONSTANT FORM :' TIGEDA    405
     &,//,4X,'RA =',F7.3,5X,'XD =',F7.3,5X,'XQ =',F7.3,5X,'XL ='        TIGEDA    406
     &,F7.3,4X,'X1D =',F7.3,4X,'X1Q =',F7.3,3X,'X11D=',F7.3             TIGEDA    407
     &,3X,'X11Q =',F7.3,/,2X,'T1D0 =',F7.3,3X,'T1Q0 =',F7.3,2X          TIGEDA    408
     &,'T11D0 =',F7.3,2X,'T11Q0 =',F7.3)                                TIGEDA    409
 2020 FORMAT('1BUS#',I5,1X,'STATION:',1X,3A4,1X,'GID',A4,/,             TIGEDA    410
     +1X,38('-'),//,28X,'GENERATOR DATA ON',F9.2,' MVA '                TIGEDA    411
     &,F9.2,' HZ BASE',/,28X,48('-'))                                   TIGEDA    412
 2050 FORMAT (/,3X,'PFA =',I7,'    GMW =',F7.2,'    QFA =',I7           TIGEDA    413
     *,'    GMX =',F7.3,'    BVR =',F7.3)                               TIGEDA    414
 2051 FORMAT (/'    GMW =',F7.2,'    GMX =',F7.3,'    BVR =',F7.3)      TIGEDA    415
 2053 FORMAT('1BUS#',I5,1X,'STATION:',1X,3A4,1X,'GID',A4                TIGEDA    416
     &,/,1X,38('-'),//,28X,'GENERATOR DATA ON',F9.2,' MVA '             TIGEDA    417
     &,F9.2,' HZ BASE',/,28X,48('-'),                                   TIGEDA    418
     &//,' MECHANICAL AND ELECTRICAL PARAMETERS :',                     TIGEDA    419
     &//,1X,'   HM =',F8.3,4X,'DAMP =',E9.3,1X,                         TIGEDA    420
     &//,1X,'  XPD =',F8.3,4X,'  PF =',5X,I4,' GMW =',F8.2,             TIGEDA    421
     &'  QF =',5X,I4,' GMX =',F8.2,' NORTON CURRENT MAGNITUDE =',F9.3)  TIGEDA    422
 2054 FORMAT('1BUS#',I5,1X,'STATION:',1X,3A4,1X,'GID',A4                TIGEDA    423
     &,/,1X,38('-'),//,28X,'GENERATOR DATA ON',F9.2,' MVA '             TIGEDA    424
     &,F9.2,' HZ BASE',/,28X,48('-'),                                   TIGEDA    425
     &//,' MECHANICAL AND ELECTRICAL PARAMETERS :',                     TIGEDA    426
     &//,1X,'   HM =',F8.3,4X,'DAMP =',E9.3,1X,                         TIGEDA    427
     &//,1X,'  XPD =',F8.3,4X,' GMW =',F8.2,' GMX =',F8.2               TIGEDA    428
     &,' NORTON CURRENT MAGNITUDE =',F9.3)                              TIGEDA    429
 2070 FORMAT(/,1X,'ELECTRICAL PARAMETERS IN PARK''S FORM :',//          TIGEDA    430
     &,3X,'XAD =',F7.3,4X,'XAQ =',F7.3,5X,'XL =',F7.3,5X,'RA =',F7.3    TIGEDA    431
     %,4X,'XFD =',F7.3,4X,'RFD =',F7.3,3X,'XKQ1=',F7.3,3X,'RKQ1=',F7.3  TIGEDA    432
     &,/,2X,'XKD1 =',F7.3,3X,'RKD1 =',F7.3,3X,'XKQ2 =',F7.3             TIGEDA    433
     &,3X,'RKQ2 =',F7.3,3X,'XKD2 =',F7.3,3X,'RKD2 =',F7.3               TIGEDA    434
     &,3X,'XKQ3=',F7.3,3X,'RKQ3=',F7.3)                                 TIGEDA    435
 2080 FORMAT (1X,'XFKD1 =',F7.3,2X,'XFKD2 =',F7.3)                      TIGEDA    436
 4810 FORMAT(/,'   STABILIZER TYPE =',I3,A,5X,'FIRST INPUT TYPE :',I3   TIGEDA    437
     *,'  SENSING BUS NO :',I6,' NAME : ',3A4)                          TIGEDA    438
 4811 FORMAT(/,'   STABILIZER TYPE =',I3,6X,'FIRST INPUT TYPE :',I3     TIGEDA    439
     *,' SENSING BUS :',I6,' NAME : ',3A4,'  N =',I2,'  M =',I2)        TIGEDA    440
 4820 FORMAT (/,42X,'SECOND INPUT TYPE :',I3,'  SENSING BUS NO : '      TIGEDA    441
     +,I5,' NAME : ',3A4)                                               TIGEDA    442
 4920 FORMAT (/,42X,'SECOND INPUT TYPE :',I3)                           TIGEDA    443
 5000 FORMAT(//,' CROWBAR DATA :',/,1X,15('-'),//                       TIGEDA    444
     *,' CROWBAR TYPE =',I2,'  CFD =',F9.3,' AMPERE   KRES =',F7.3      TIGEDA    445
     *,' OHM',:,'   NRES =',F7.3,'   EXP =',F7.3)                       TIGEDA    446
      END                                                               TIGEDA    447
